Stem Delete

Stem Delete

Grouper Web Services

Description

Stem delete will insert or update a stem's uuid, extension, display name, or description (with restrictions)

Features

  • If stem does not exist, the call will not fail (special result code)

  • Lookup stem to delete by stem lookup (by name or uuid)

  • Returns stem, can be detailed or not

  • Can actAs another user

Stem delete Lite service

  • Accepts one stem to delete

  • Documentation: SOAP (click on stemDeleteLite), REST (click on stemDeleteLite)

  • For REST, the request can put data in query string (in URL or request body)

  • REST request (colon is escaped to %3A): DELETE /grouper-ws/servicesRest/v1_3_000/stems/aStem%3AaStem2

    • Note: if passing data in request body e.g. actAs, use a POST

  • (see documentation above for details): Request object, response object

  • Response codes

  • Samples (all files with "Lite" in them, click on "download" to see file)

Stem delete service